<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head th:fragment="head">
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
	<title>AND DALL-E</title>
	<link rel="stylesheet" th:href="@{/css/main.css}" />
</head>
<body>
	<main role="main" class="container">
		<div class="starter-template">
			<h1>DALL-E API Demo for ANDigital</h1>
			<form th:action="@{/image}" method="post">
			    <fieldset>
			        <div class="form-group">
						<h2>Describe an image:</h2>
			            <input type="text" name="prompt" th:value="${request}" required autofocus/>
			        </div>
			        <div class="row">
			            <input type="submit" value="Send" />
			        </div>
			    </fieldset>
			</form>
			<h2 th:if="${imageUri != null}" >DALL-E drawing: </h2>
			<img th:if="${imageUri != null}" th:src="${imageUri}" alt="Picture drawn by DALL-E" />
		</div>
		<p>Would you rather chat? then click <a th:href="@{/chat}">here</a> to use ChatGPT</p>
	</main>
</body>
</html>